---
title: PeriodicWave.PeriodicWave()
slug: Web/API/PeriodicWave/PeriodicWave
tags:
  - API
  - Audio
  - Constructor
  - PeriodicWave
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>PeriodicWave()</strong></code> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("PeriodicWave")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myWave</em> = new PeriodicWave(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><code>context</code></dt>
 <dd>A {{domxref("BaseAudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>A <code><a href="https://webaudio.github.io/web-audio-api/#idl-def-PeriodicWaveOptions">PeriodicWaveOptions</a></code> dictionary object defining the properties you want the <code>PeriodicWave</code> to have (It also inherits the options defined in the <a href="https://webaudio.github.io/web-audio-api/#idl-def-PeriodicWaveConstraints">PeriodicWaveConstraints</a> dictionary.):
 <ul>
  <li><code>real</code>: A {{domxref("Float32Array")}} containing the cosine terms that you want to use to form the wave (equivalent to the <code>real</code> parameter of {{domxref("AudioContext.createPeriodicWave")}}).</li>
  <li><code>imag</code>: A {{domxref("Float32Array")}} containing the sine terms that you want to use to form the wave (equivalent to the <code>imag</code> parameter of {{domxref("AudioContext.createPeriodicWave")}}).</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("PeriodicWave")}} object instance.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var real = new Float32Array(2);
var imag = new Float32Array(2);
var ac = new AudioContext();

real[0] = 0;
imag[0] = 0;
real[1] = 1;
imag[1] = 0;

var options = {
  real : real,
  imag : imag,
  disableNormalization : false
}

var wave = new PeriodicWave(ac, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#periodicwave','PeriodicWave')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PeriodicWave.PeriodicWave")}}</p>
